[pkg-kolab] r205 - trunk/kolab-cyrus-imapd/debian

Steffen Joeris white-guest at costa.debian.org
Tue Jan 24 12:11:08 UTC 2006


Author: white-guest
Date: 2006-01-24 12:11:07 +0000 (Tue, 24 Jan 2006)
New Revision: 205

Removed:
   trunk/kolab-cyrus-imapd/debian/kolab-cyrus-common.cyrus.default
   trunk/kolab-cyrus-imapd/debian/kolab-cyrus-common.cyrus.init
Modified:
   trunk/kolab-cyrus-imapd/debian/kolab-cyrus-common.dirs
   trunk/kolab-cyrus-imapd/debian/kolab-cyrus-common.kolab-cyrus.default
Log:
* path changes, drop obsolete script


Deleted: trunk/kolab-cyrus-imapd/debian/kolab-cyrus-common.cyrus.default
===================================================================
--- trunk/kolab-cyrus-imapd/debian/kolab-cyrus-common.cyrus.default	2006-01-24 12:07:17 UTC (rev 204)
+++ trunk/kolab-cyrus-imapd/debian/kolab-cyrus-common.cyrus.default	2006-01-24 12:11:07 UTC (rev 205)
@@ -1,29 +0,0 @@
-# Defaults for Cyrus IMAPd 2.1 scripts
-# sourced by /etc/init.d/cyrus21, /usr/sbin/cyrus-makedirs
-# installed at /etc/default/cyrus21 by the maintainer scripts
-# $Id: cyrus21-common.cyrus21.default,v 1.2 2003/10/08 11:43:52 hmh Exp $
-
-#
-# This is a POSIX shell fragment
-#
-
-# Set this to 1 or higher to enable debugging on cyrmaster
-#CYRUS_VERBOSE=1
-
-# Socket listen queue backlog size
-# See listen(2). Default is 32, you may want to increase
-# this number if you have a very high connection rate
-#LISTENQUEUE=32
-
-# Wether cyrus-makedirs should optimize filesystems
-# or not.  Switch it off if you are going to do your
-# own optimizations.  Set to 1 to enable, 0 to disable
-#CYRUSOPTFILESYS=1
-
-# The default Cyrus IMAP config file that the scripts should
-# use.  You better know what you're doing if you change this
-#CONF=/etc/imapd.conf
-
-# Check spool condition with chk_cyrus on daily cronjob
-# Set to 1 to enable, default is disabled
-#CHKCYRUS=0

Deleted: trunk/kolab-cyrus-imapd/debian/kolab-cyrus-common.cyrus.init
===================================================================
--- trunk/kolab-cyrus-imapd/debian/kolab-cyrus-common.cyrus.init	2006-01-24 12:07:17 UTC (rev 204)
+++ trunk/kolab-cyrus-imapd/debian/kolab-cyrus-common.cyrus.init	2006-01-24 12:11:07 UTC (rev 205)
@@ -1,149 +0,0 @@
-#! /bin/sh
-#
-# cyrus21	/etc/init.d/ script for cyrus2 IMAPd
-#		This file manages the Cyrus IMAPd master process.
-#
-#		Copr. 2001 by Henrique de Moraes Holschuh <hmh at debian.org>
-#		Distributed under the GPL version 2
-#
-# Version:	$Id: cyrus21-common.cyrus21.init,v 1.2 2004/08/10 15:09:38 hmh Exp $
-#
-
-# Make sure we get sane results on borked locales
-LC_ALL=C
-export LC_ALL
-
-# Overridable defaults
-unset CYRUS_VERBOSE
-unset LISTENQUEUE
-[ -r /etc/default/kolab-cyrus ] && . /etc/default/kolab-cyrus
-
-[ "x${CYRUS_VERBOSE}" != "x" ] && export CYRUS_VERBOSE
-OPTIONS="-d"
-[ "x${LISTENQUEUE}" != "x" ] && OPTIONS="-l ${LISTENQUEUE} ${OPTIONS}"
-
-PATH=/sbin:/usr/sbin:/bin:/usr/bin
-DAEMON=/usr/sbin/cyrmaster
-NAME=cyrmaster
-DESC="Cyrus IMAPd"
-
-test -x ${DAEMON} || exit 0
-
-set -e
-
-START="--start --quiet --pidfile /var/run/${NAME}.pid --exec ${DAEMON} -- ${OPTIONS}"
-
-verifydb() {
-   while read -r DBKEY DBVALUE ; do
-	match=`gawk "/^${DBKEY}[[:blank:]]/ { print \\$2 }" < $1`
-	[ "x${match}" != "x${DBVALUE}" ] && return 0
-   done
-   return 1
-}
-
-createdir() {
-# $1 = user
-# $2 = group
-# $3 = permissions (octal)
-# $4 = path to directory
-	[ -d "$4" ] || mkdir -p "$4"
-	chown -c -h "$1:$2" "$4"
-	chmod -c "$3" "$4"
-}
-
-missingstatoverride () {
-	echo "$0: You are missing a dpkg-statoverride on $1.  Add it." >&2
-	exit 1
-}
-
-fixdirs () {
-	dir=`dpkg-statoverride --list /var/run/cyrus` \
-		|| missingstatoverride /var/run/cyrus
-	[ -z "$dir" ] \
-		|| createdir $dir
-	dir=`dpkg-statoverride --list /var/run/cyrus/socket` \
-		|| missingstatoverride /var/run/cyrus/socket
-	[ -z "$dir" ] \
-		|| createdir $dir
-}
-
-case "$1" in
-  start)
-  	# Verify if there are old Cyrus 1.5 spools that were not upgraded
-	[ -f /var/lib/cyrus/mailboxes -a -d /var/lib/cyrus/deliverdb -a \
-	  -d /var/spool/cyrus/mail/user -a ! -d /var/spool/cyrus/mail/stage. ] && {
-	  	echo "$0: It appears that you still have an version 1.5 spool" 1>&2
-		echo "$0: that needs to be upgraded." 1>&2
-		exit 2
-	}
-	# Verify consistency of database backends
-	[ -f /usr/lib/cyrus/cyrus-db-types.active ] && {
-		# is it safe to start cyrmaster? compare "key value" pairs
-		# from the (old) active database types file with the new one
-		verifydb /usr/lib/cyrus/cyrus-db-types.txt \
-		    < /usr/lib/cyrus/cyrus-db-types.active && {
-		    echo "$0: Database backends mismatch! You must manually" 1>&2
-		    echo "$0: verify and update the Cyrus databases to the" 1>&2
-		    echo "$0: new backends." 1>&2
-		    echo "$0: Cyrmaster not started."
-		    exit 2
-		}
-	}
-	echo -n "Starting ${DESC}: "
-	fixdirs
-	if start-stop-daemon ${START} >/dev/null 2>&1 ; then
-		echo "$NAME."
-	else
-		if start-stop-daemon --test ${START} >/dev/null 2>&1; then
-			echo "(failed)."
-			exit 1
-		else
-			echo "${DAEMON} already running."
-			exit 0
-		fi
-	fi
-	;;
-  stop)
-	echo -n "Stopping $DESC: "
-	if start-stop-daemon --stop --quiet --pidfile /var/run/$NAME.pid \
-			--quiet --startas $DAEMON >/dev/null 2>&1 ; then
-		echo "$NAME."
-	else
-		echo "(failed)."
-	fi
-	;;
-  reload|force-reload)
-	echo "Reloading $DESC configuration files."
-	start-stop-daemon --stop --signal 1 --quiet \
-		--pidfile /var/run/$NAME.pid --exec $DAEMON >/dev/null 2>&1
-  	;;
-  restart)
-  	$0 stop && {
-	  echo -n "Waiting for complete shutdown..."
-	  i=5
-	  while [ $i -gt 0 ] ; do
-	  	if start-stop-daemon --start --test \
-	  	   --pidfile /var/run/$NAME.pid \
-		   --exec $DAEMON >/dev/null 2>&1 ; then
-			break
-		fi
-		sleep 2s
-		i=$(($i - 1))
-		echo -n "."
-	  done
-	  [ $i -eq 0 ] && {
-	  	echo
-		echo "fatal: incomplete shutdown detected, aborting."
-		exit 1
-	  }
-	  echo
-	}
-	exec $0 start
-	;;
-  *)
-	echo "Usage: $0 {start|stop|restart|reload|force-reload}" 1>&2
-	exit 1
-	;;
-esac
-
-exit 0

Modified: trunk/kolab-cyrus-imapd/debian/kolab-cyrus-common.dirs
===================================================================
--- trunk/kolab-cyrus-imapd/debian/kolab-cyrus-common.dirs	2006-01-24 12:07:17 UTC (rev 204)
+++ trunk/kolab-cyrus-imapd/debian/kolab-cyrus-common.dirs	2006-01-24 12:11:07 UTC (rev 205)
@@ -1,4 +1,3 @@
-etc/pam.d
 etc/default
 etc/logcheck/ignore.d.server
 etc/logcheck/violations.ignore.d

Modified: trunk/kolab-cyrus-imapd/debian/kolab-cyrus-common.kolab-cyrus.default
===================================================================
--- trunk/kolab-cyrus-imapd/debian/kolab-cyrus-common.kolab-cyrus.default	2006-01-24 12:07:17 UTC (rev 204)
+++ trunk/kolab-cyrus-imapd/debian/kolab-cyrus-common.kolab-cyrus.default	2006-01-24 12:11:07 UTC (rev 205)
@@ -1,7 +1,7 @@
 # Defaults for Cyrus IMAPd 2.2 scripts
 # $Id: cyrus22-common.cyrus22.default 5 2005-03-12 23:19:45Z sven $
-# sourced by /etc/init.d/cyrus22, /usr/sbin/cyrus-makedirs
-# installed at /etc/default/cyrus22 by the maintainer scripts
+# sourced by /etc/init.d/kolab-cyrus, /usr/sbin/cyrus-makedirs
+# installed at /etc/default/kolab-cyrus by the maintainer scripts
 #
 
 #




More information about the pkg-kolab-devel mailing list